<template>
  <div class="f-column">
    <h1 class="f-title">
      Patient Classifications
    </h1>
    <div class="f-description">
      Classifications of model <strong>{{ selectedModel }}</strong> over export
      <strong>{{ dataset }}</strong>
    </div>
    <section class="f-card">
      <patient-classifications-graph />
    </section>
  </div>
</template>

<script>
import { mapState } from "vuex";

import patientClassificationsGraph from "@/components/PatientClassificationsGraph.vue";

export default {
  components: {
    patientClassificationsGraph
  },
  data() {
    return {
      dataset: this.$route.query.export_id
    };
  },
  computed: {
    ...mapState(["selectedModel"])
  }
};
</script>
